#ifndef TIMEDEPPDE1D_H
#define TIMEDEPPDE1D_H

#include "pde1d.h"

/** TimedepPDE1D:
 *      Provides additionally to PDE1D a member that stores
 *      the current time t.
 */
class TimedepPDE1D : public PDE1D {

protected:
    double current_time;

public:
    
    TimedepPDE1D() : current_time(0){}

    void
    set_time(double t){
        current_time = t;
    }
};


#endif // TIMEDEPPDE1D_H